/**
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2004 satoshi akabane(akabane@logical-paradox.org)
 */
package org.logical_paradox.common.lang;

import org.logical_paradox.common.io.ByteStream;

/**
 * バイト列化可能なStringラッパー
 * 
 * @author satoshi akabane@logical-paradox.org
 * @version 1.0
 */
public class StringByteStream implements ByteStream {
	private final String str;

	/**
	 * コンストラクタ
	 * 
	 * @param bstream バイト列
	 */
	public StringByteStream(byte[] bstream) {
		str = new String(bstream);
	}
	/**
	 * コンストラクタ
	 * @param s 文字列
	 */
	public StringByteStream(String s) {
		str = s;
	}
	/**
	 * 文字列オブジェクトを返す
	 * @return 文字列
	 */
	public String getStringObject() {
		return new String(str);
	}
	/**
	 * 文字列を返す
	 * 単にgetStringObject()を呼び出しているだけ
	 */
	public String toString() {
		return getStringObject();
	}
	/**
	 * バイト列に変換する
	 * @return バイト列
	 */
	public byte[] byteStream() {
		return str.getBytes();
	}

}
